Bug 4159 - Не работаeт опция rbind в fstab (ядро 2.6.5)
: Не работаeт опция rbind в fstab (ядро 2.6.5)
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mount)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-05-14 13:14 by
Modified: 2005-09-04 21:51 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-05-14 13:14:04
Кусок /etc/fstab:

/var/local/distrib /var/ftp/distrib none rbind 0 3

# mount /var/local/distrib   
mount: fs type none not supported by kernel

просто bind работает. Для ядра 2.4 точно работал rbind.

странно, но работает монтирование вручную:

# mount --rbind /var/local/distrib  /var/ftp/distrib

$ cat /etc/altlinux-release 
ALT Linux Sisyphus (20040511)

$ rpm -qa | grep ge-std26
kernel-image-std26-up-2.6.5-alt1

$ rpm -qa | grep mount   
mount-2.12a-alt2
------- Comment #1 From 2004-05-20 13:59:16 -------
на 2.6.6 повторяется
------- Comment #2 From 2004-06-24 12:33:29 -------
вот что я могу сказать по поводу этой баги. 
rbind не может использоваться в /etc/fstab потому что нет такой поддерживаемой опции 
монтирования, есть просто параметр командной строки. Поэтому не работает это на любом ядре и на 
2.6.x и 2.4.x. 
 
Так что весь вопрос почему такой опции нет (наверное не спроста): 
Возможно вот почему: (кусок из кода linux): 
 else if (flags & MS_BIND) 
                retval = do_loopback(&nd, dev_name, flags & MS_REC); 
 
то бишь bind всегда фактически работает как rbind. 
Пожайлуста проверьте этот факт. Если это не так то сделайте reopen и будем уже спрашивать у 
upstream. 
 
 
------- Comment #3 From 2004-06-24 12:35:20 -------
Ой, хотел сказать одно, а сказал другое (торможу): 
&MS_REC просто убирает остальные флаги. Значит надо всё-таки спросить у
upstream. 
------- Comment #4 From 2004-06-24 12:37:08 -------
accept 
 
------- Comment #5 From 2004-06-25 14:53:13 -------
fixed in alt4